---
title: llarp::ApiConfig

---

# llarp::ApiConfig





## Public Functions

|                | Name           |
| -------------- | -------------- |
| void | **[defineConfigOptions](Classes/structllarp_1_1ApiConfig.md#function-defineconfigoptions)**([ConfigDefinition](Classes/structllarp_1_1ConfigDefinition.md) & conf, const [ConfigGenParameters](Classes/structllarp_1_1ConfigGenParameters.md) & params) |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| bool | **[m_enableRPCServer](Classes/structllarp_1_1ApiConfig.md#variable-m-enablerpcserver)**  |
| std::vector< oxenmq::address > | **[m_rpcBindAddresses](Classes/structllarp_1_1ApiConfig.md#variable-m-rpcbindaddresses)**  |
| std::unordered_map< oxenmq::address, std::unordered_set< std::string > > | **[m_rpcEncryptedAddresses](Classes/structllarp_1_1ApiConfig.md#variable-m-rpcencryptedaddresses)**  |

## Public Functions Documentation

### function defineConfigOptions

```cpp
void defineConfigOptions(
    ConfigDefinition & conf,
    const ConfigGenParameters & params
)
```


## Public Attributes Documentation

### variable m_enableRPCServer

```cpp
bool m_enableRPCServer = false;
```


### variable m_rpcBindAddresses

```cpp
std::vector< oxenmq::address > m_rpcBindAddresses;
```


### variable m_rpcEncryptedAddresses

```cpp
std::unordered_map< oxenmq::address, std::unordered_set< std::string > > m_rpcEncryptedAddresses;
```


-------------------------------

Updated on 2023-01-30 at 18:33:20 +0000